Hacking NAND permissions patching, I guess?

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
This is strange. One of the very earliest things I did as far as soft-modding my Wii involved something called a NAND permissions patch, which then allowed me to be able to play more WiiWare games (including some that came from injected files). Well, now, it seems something must have "undone" this, because I'm starting to get an error saying "this title can't be played on this Wii console", with the games I've since backed-up and/or stored on my SD. So far it seems to be no problem with those that are on the main system menu already, but at this point it would be impractical (and I wouldn't have enough space) to copy over ALL of my WiiWare games (and still have room for saves, etc. that wouldn't be moved anyway).

I'm guessing I need to "repatch" those NAND permissions, but is there a specific IOS('s) to look for?

Any constructive help is much appreciated.
yaywii.gif
 

mauifrog

DA KINE WiiHacker
Member
Joined
Jan 21, 2010
Messages
1,587
Trophies
0
Website
Visit site
XP
392
Country
United States
You need to patch the system ios. Also, if you have done a system format the wads to to be reinstalled and then moved back to the sd card.
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
Which one though? I'm running cIOSX 20b, (I think) hermes cIOS 5.0 (to-do-list is to upgrade to 5.1), and DarkCorp 1.1.

System menu is 4.2, but I'd been soft-modded since 4.0.

Then again, seems there's so many mod packages now, it's becoming damn hard to keep track of it all.
unsure.gif
wacko.gif
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
mauifrog said:
patch ios70-v6687 with all 3 patches
I hate to sound like a newb again, but it really has been a long time since I've done by one IOS at a time. I remember though, there was an app that I could use for this sort of thing, but I think I'd lost it.
frown.gif
What would/should I use for patching the IOS then?

Please forgive my ignorance, but it has been a while since I last had to worry about this sort of thing.
 

OriginalHamster

UStealthy
Member
Joined
Nov 2, 2008
Messages
3,380
Trophies
0
Age
42
XP
1,326
Country
Cote d'Ivoire
codezer0 said:
I'm on 4.2, and according to dop-mii, IOS 70 is already stubbed. Huh?

That's the problem then, you need an operative IOS70 patched with Trucha and NAND permission. Download the previous version of IOS70 from DopMii, I think the version is that the Frog Mario said.
 

borissaid

Well-Known Member
Member
Joined
Sep 27, 2008
Messages
116
Trophies
0
XP
104
Country
United States
what ios is the systemmenu using if ios70 is stubbed? (4.2 uses ios70). Sounds like you're on 4.3, in which case you would need to patch ios80.
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
Now that makes me wonder how that could have happened.

Pimp My Wii seems to have its own thing too of scanning and ensuring integrity of the IOS's; At least since I've a nand backup via bootmii, I'll give that a go.
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
borissaid said:
what ios is the systemmenu using if ios70 is stubbed? (4.2 uses ios70). Sounds like you're on 4.3, in which case you would need to patch ios80.
I just checked the Wii settings again, and it says I'm on 4.2U.

*EDIT*

Well, this is annoying. Pimp My Wii has found some IOS's that appear to be outdated and lacking patches. No mention of IOS70 among them. But running its thing to install/patch these, and every single one thus far is failing its install.

What should I do?
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
borissaid said:
do you have priiloader telling the systemmenu to use 249 instead of ios70? it can't run off of a stubbed ios.
I've... never used Priiloader. At most I've used Startpatch 4.2.3 to customize the Wii's startup (like skipping the health/safety screen and blocking disc updates).
 

borissaid

Well-Known Member
Member
Joined
Sep 27, 2008
Messages
116
Trophies
0
XP
104
Country
United States
well it doesnt make much sense... you might be just as well off to update to the latest HBC (if you havent already) and then update to 4.3 and patch ios80 if you cant figure your current situation out.
 

codezer0

Gaming keeps me sane
OP
Member
Joined
Jul 14, 2009
Messages
3,333
Trophies
2
Location
The Magic School Bus
XP
3,607
Country
United States
Homebrew channel auto-updates, right? If so, I'm on 1.0.8 for that already.

PimpMyWii didn't work. After its failing to update/install the IOS's it thought were bad, it just seemed to be unable to do anything with any IOS's at all. Exited out before trying again (and potentially damaging something).

Again, only download of Dop-Mii I could find was 14.2 (aka the Wiibrew edition). It tried, and failed, in downgrading IOS70.
 

You may also like...

General chit-chat
Help Users
    FAST6191 @ FAST6191: Also it is night time for most of Europe right now